API referenceMasterAgreementAssetConnection
POST /api/MasterAgreementAssetConnection/GetByIds
An array of ids should be passed in the request body, and the API returns a list of Master Agreement Asset Connections that match the ids. In order to get all Master Agreement Asset Connections, pass an empty array.
POST
/api/MasterAgreementAssetConnection/GetByIdscurl -X POST "/api/MasterAgreementAssetConnection/GetByIds" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
1,
2,
3
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
datainteger[] | null
Response
application/json
A list of Master Agreement Asset Connections.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.MasterAgreementAssetConnectionDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"masterAgreementId": 0,
"assetId": 0,
"validFrom": "2026-01-15T09:30:00Z",
"validTo": "2026-01-15T09:30:00Z",
"customFieldValues": [
{
"customFieldId": 0,
"customFieldName": "string",
"customFieldType": 1,
"validFrom": "2026-01-15T09:30:00Z",
"value": "string"
}
]
}
]
}